#carbonads {
  position: relative;
  display: flex;
  width: 100%;
  min-height: 280px;
  height: auto;
  background: var(--surface-color);
  text-align: center;
	font-family: var(--font-body);
  justify-content: center;
  align-items: center;
  border-radius: 4px;
  background: var(--accent-color-light);
  transition: background-color var(--transition-speed) var(--transition-curve), color var(--transition-speed) var(--transition-curve), border-color var(--transition-speed) var(--transition-curve), box-shadow var(--transition-speed) var(--transition-curve);
}

html[data-theme="dark"] #carbonads {
  background: var(--surface-color-reverse);
}

#carbonads a,
#carbonads a:hover {
  color: var(--text-primary);
  text-decoration: none;
}

#carbonads span {
  display: block;
  overflow: hidden;
}

.carbon-img {
  margin: 0 0 8px;
  line-height: 1;
  display: block;
}

.carbon-img img {
  max-width: 150px !important;
  width: 150px;
  height: auto;
  border: 1px solid var(--border-color-dark);
}

.carbon-text {
  display: block;
  margin: 12px 0;
  padding: 0 10px;
  font-weight: 400;
  font-size: 16px;
  line-height: 1.4;
}

#carbonads .carbon-poweredby {
  position: absolute;
  right: 12px;
  bottom: 12px;
  display: block;
  padding: 0;
  border-radius: 2.5px;
  background: none;
  color: var(--text-subtle);
  text-transform: uppercase;
  letter-spacing: .5px;
  font-weight: 700;
  font-size: 8px;
  line-height: 1;
}

.mp-ad {
  position: absolute;
  right: 20px;
  top: 60px;
  max-width: 240px;
}

.sub-page .mp-ad {
  top: 0;
}

@media screen and (max-width: 1000px) {
  .mp-ad {
    left: 0;
    top: 0;
    max-width: 360px;
    min-height: 120px;
    position: relative;
    margin-top: 15px;
  }

  #carbonads {
    min-height: 120px;
    padding: 10px;
  }

  #carbonads .carbon-wrap {
    display: flex;
  }

  .carbon-img {
    margin: 0;
    line-height: 0;
  }

  .carbon-img img {
    width: 130px;
  }

  .carbon-text {
    text-align: left;
    font-size: 14px;
    margin: 0;
  }
}
